> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a crypto payment customer

> Returns a Travel Rule customer, including customer details, for eligible Circle Singapore (`CIRCLE_SG`) merchants.



## OpenAPI

````yaml openapi/payments.yaml get /v1/payments/customers/{id}
openapi: 3.0.2
info:
  version: ${version}
  title: Crypto Deposits API
  description: >
    The Circle Payments API allows you to take payments from your end users via
    traditional methods such as debit & credit cards and receive settlement in
    USDC.


    The Circle Payments API has been designed with any business or internet
    commerce in mind, not just crypto applications, and it's based on Circle's
    extensive experience processing millions of card payments since 2014.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Payments
    description: Create, cancel, refund, and get updates on card payments.
  - name: Crypto Payment Intents
    description: Create and track intent for end user to pay via crypto.
  - name: Crypto Payment Customers
    description: >-
      Create and manage Travel Rule customers and customer wallets for crypto
      payment attribution.
  - name: Crypto Payment Refund Addresses
    description: Create refund address-book entries for crypto payment refunds.
paths:
  /v1/payments/customers/{id}:
    get:
      tags:
        - Crypto Payment Customers
      summary: Get a crypto payment customer
      description: >-
        Returns a Travel Rule customer, including customer details, for eligible
        Circle Singapore (`CIRCLE_SG`) merchants.
      operationId: getPaymentCustomer
      parameters:
        - $ref: '#/components/parameters/IdPath'
      responses:
        '200':
          description: Successfully retrieved customer.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: GetPaymentCustomerResponse
                properties:
                  data:
                    $ref: '#/components/schemas/PaymentCustomer'
              examples:
                individualCustomer:
                  value:
                    data:
                      id: 7d4f71c1-7e2e-4a1d-9df3-3a4d8d6d5a11
                      refId: 310c458a-18eb-4cbd-8a9a-586d9448ae69
                      type: individual
                      status: approved
                      firstName: John
                      lastName: Doe
                      dateOfBirth: '1990-11-29'
                      placeOfBirth: US
                      governmentIssuedId: A1234567
                      address:
                        addressLine1: 123 Main St.
                        addressLine2: Apt 4B
                        city: Boston
                        district: MA
                        postalCode: '02110'
                        country: US
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  parameters:
    IdPath:
      name: id
      description: Universally unique identifier (UUID v4) of a resource.
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: b3d9d2d5-4c12-4946-a09d-953e82fae2b0
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    PaymentCustomer:
      type: object
      description: Travel Rule customer record.
      required:
        - id
        - refId
        - type
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        refId:
          type: string
          format: uuid
          description: Merchant-supplied customer reference. Must be a UUID.
          example: 310c458a-18eb-4cbd-8a9a-586d9448ae69
        type:
          $ref: '#/components/schemas/PaymentCustomerType'
        status:
          $ref: '#/components/schemas/PaymentCustomerStatus'
        address:
          $ref: '#/components/schemas/PaymentCustomerAddress'
        firstName:
          type: string
          example: John
        lastName:
          type: string
          example: Doe
        dateOfBirth:
          type: string
          example: '1990-11-29'
        placeOfBirth:
          type: string
          example: US
        governmentIssuedId:
          type: string
          example: A1234567
        businessName:
          type: string
          example: Example Trading Pte. Ltd.
        dateOfIncorporation:
          type: string
          example: '2020-01-15'
        countryOfIncorporation:
          type: string
          example: SG
        businessRegistrationNumber:
          type: string
          example: 202000001A
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    PaymentCustomerType:
      type: string
      description: Customer type.
      enum:
        - individual
        - business
      example: individual
    PaymentCustomerStatus:
      type: string
      description: Customer screening status.
      enum:
        - pending
        - approved
        - rejected
      example: pending
    PaymentCustomerAddress:
      type: object
      description: Customer address used for Travel Rule review.
      required:
        - addressLine1
        - city
        - postalCode
        - country
      properties:
        addressLine1:
          type: string
          maxLength: 255
          example: 123 Main St.
        addressLine2:
          type: string
          maxLength: 255
          example: Apt 4B
        district:
          type: string
          maxLength: 255
          example: MA
        city:
          type: string
          maxLength: 255
          example: Boston
        postalCode:
          type: string
          maxLength: 255
          example: '02110'
        country:
          type: string
          maxLength: 255
          example: US
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    Forbidden:
      description: >-
        The request provides authentication, but the authenticated user does not
        possess sufficient permissions for accessing this resource.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: Forbidden
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 3
              message: Forbidden
          examples:
            response:
              value:
                code: 3
                message: Forbidden
    NotFound:
      description: The specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotFound
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 404
              message: Not found.
          examples:
            response:
              value:
                code: 404
                message: Not found.
    InternalServerError:
      description: Unexpected server error.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: InternalServerError
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 500
              message: Internal server error.
          examples:
            response:
              value:
                code: 500
                message: Internal server error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````